@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.navbar {
  backdrop-filter: blur(10px);
  font-family: "Roboto", "Sans serif";
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 2.5rem;
  position: fixed;
  top: 0;
  z-index: 999;
  width: 100%;
  box-shadow: 0 0 1px 0.15px rgb(139, 137, 137);
}

.logo {
  width: 5rem;
  fill: white;
}

.menu-list {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
}

.menu-list .nav-item {
  font-size: 0.875rem;
  list-style-type: none;
  padding: 1.125rem 0.75rem;
}

.menu-list .nav-item a {
  text-decoration: none;
  color: white;
}

.menu-list .nav-item:hover{
    border-bottom: 2px solid white;
    transition: ease-in-out .3s;
}

.main {
  height: 100dvh;
  background: linear-gradient(90deg, rgba(5, 5, 5, 0.756), rgba(0, 0, 0, 0.25)),
    url("../images/businessTeamWorking-e989d864.png");
  color: white;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 8.5rem 2.5rem 5rem 2.5rem;
}

.services-heading {
  font-family: "Montserrat";
  font-size: 3rem;
  font-weight: 600;
  font-style: normal;
  margin: 2.25rem 0;
  letter-spacing: 2px;
}

.services-description {
  font-size: 1.25rem;
  margin: 2.25rem 0 2.75rem 0;
  width: 62%;
  line-height: 2rem;
  overflow-wrap: normal;
  font-family: "Roboto", "Sans serif";
}

.contactBtn {
  height: 3.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: Roboto;
  font-style: normal;
  font-weight: 700;
  font-size: 0.875rem;
  line-height: 145%;
  color: #fff;
  letter-spacing: 0.00438rem;
  padding: 1rem 1.5rem;
  border-radius: 0.5rem;
  border: none;
  /* box-shadow: 0 2px 4px #1a1b743d; */
  background-color: #2c74d6;
  gap: 0.5rem;
}

.contact-txt {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 0.875rem;
  line-height: 145%;
  color: #fff;
}
.section2-clients {
  height: 90vh;
  padding: 1.125rem 2.5rem;
}
.slogan-section2 {
  margin-top: 5.75rem;
  font-size: 4rem;
  width: min-content;
  font-family: "Montserrat";
  font-weight: 300;
}
.section2-mission {
  font-family: "Roboto";
  padding: 1.25rem 0;
  line-height: 1.5rem;
  width: 50%;
  color: grey;
}

.clients-logo-container {
  display: flex;
  margin-top: 2rem;
  letter-spacing: 2px;
  justify-content: space-between;
}

.section3-our-services {
  /* height: 137.5vh; */
  background: #07172d;
  border: 1px solid;
  padding: 0rem 2.5rem;
}

.content-services-heading {
  color: white;
}

.service-desc {
  font-family: "Roboto";
  padding-top: 1.75rem;
  line-height: 1.5rem;
  padding-bottom: 2rem;
  width: 50%;
  color: rgb(188, 185, 185);
}

.services-container {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  gap: 1rem;
}
.card {
  position: relative;
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  gap: 2rem;
  padding: 1.5rem;
  text-align: left;
  border-radius: 0.25rem;
  color: #fff;
  background-color: #07172d;
  box-shadow: 0 1.5rem 2.125rem #0303033d;
  z-index: 100;
  width: 23.95%;
}

.card:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: 0.25rem;
  padding: 1px;
  background: linear-gradient(
    to top,
    rgba(44, 116, 214, 0),
    rgba(44, 116, 214, 0.3215686275)
  );
  -webkit-mask: linear-gradient(#07172d 0 0) content-box,
    linear-gradient(#07172d 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}
.content {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.service-heading {
  font-family: Montserrat;
  font-size: 20px;
  font-weight: 700;
}

.service-card-desc {
  margin-top: 0;
  color: #bbb;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 400;
  line-height: 140%;
}

.btn-view-details {
  display: flex;
  align-items: flex-end;
  flex: 1;
}

.details-link {
  text-decoration: none;
  color: #2c74d6;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 700;
}

.section4-ourwork {
  height: 300vh;
  padding: 32vh 2.5rem 1.25rem 2.5rem;
}
/* .section4-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1.5rem;
} */
.section-heading {
  font-size: 4rem;
  font-family: "Montserrat";
  font-weight: 300;
}
.section-description {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 1rem;
  line-height: 150%;
  letter-spacing: 0.015625rem;
  width: 45%;
  color: rgb(77, 75, 75);
}

.previous-work-done-container {
  display: flex;
}
